Package org.apache.sling.feature.maven.mojos

# Class FeaturesDiffMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.FeaturesDiffMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="features-diff", defaultPhase=PACKAGE, requiresDependencyResolution=TEST, threadSafe=true) public final class FeaturesDiffMojo extends AbstractIncludingFeatureMojo
Compares different versions of the same Feature Model.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`comparisonVersion`
`protected org.eclipse.aether.RepositorySystem`
`repoSystem`

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`FeaturesDiffMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### comparisonVersion

@Parameter(defaultValue="(,${project.version})") protected String comparisonVersion

### repoSystem

@Component protected org.eclipse.aether.RepositorySystem repoSystem

## Constructor Details

### FeaturesDiffMojo

public FeaturesDiffMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`